## ros-noetic-rm-control 0.1.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(rm_control)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-rm-control (0.1.17-1buster) buster; urgency=high

  * Merge branch 'rm-controls:master' into master
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Contributors: ye-luo-xi-tui, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-control (0.1.16-1buster) buster; urgency=high

  * Merge branch 'dev'
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'master' into rm_referee_pr
  * Merge pull request #74 <https://github.com/ye-luo-xi-tui/rm_control/issues/74> from ye-luo-xi-tui/dev
    Update 0.1.15
  * Merge branch 'master' into referee
    # Conflicts:
    #     rm_common/include/rm_common/decision/service_caller.h
    #     rm_msgs/CMakeLists.txt
    #     rm_msgs/msg/referee/GameRobotStatus.msg
    #     rm_msgs/msg/referee/GameStatus.msg
  * Merge branch 'master' into referee1
  * Contributors: ye-luo-xi-tui, yezi, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.15-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 02 Sep 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.14-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.13-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 12 Jun 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.12-1buster) buster; urgency=high

  * Merge pull request #59 <https://github.com/ye-luo-xi-tui/rm_control/issues/59> from ye-luo-xi-tui/master
    0.1.11
  * Contributors: QiayuanLiao

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 11 Jun 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.11-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: QiayuanLiao, YuuinIH, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.10-1buster) buster; urgency=high

  * Merge pull request #45 <https://github.com/rm-controls/rm_control/issues/45> from ye-luo-xi-tui/master
    Add rm_dbus to metapackage's package.xml
  * Add rm_dbus to metapackage's package.xml.
  * Contributors: QiayuanLiao, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 22 May 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.9-1buster) buster; urgency=high

  * Separate rm_description out of rm_control
  * Revert "Update package.xml"
    This reverts commit a46a8b40dffc0c5fa61981d9ca862a7f1da7e559.
  * Update package.xml
  * Merge remote-tracking branch 'origin/master'
  * Contributors: Jie j, YuuinIH

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.8-1buster) buster; urgency=high

  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update CHANGELOG
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 07 Dec 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.7-1buster) buster; urgency=high

  * 0.1.6
  * Update CHANGELOG
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.6-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.5-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.4-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.3-1buster) buster; urgency=high

  * Merge branch 'master' into master
  * Rename rm_base to rm_hw
  * Contributors: QiayuanLiao, qiayuan
  * Merge branch 'master' into master
  * Rename rm_base to rm_hw
  * Contributors: QiayuanLiao, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Wed, 01 Sep 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.2-1buster) buster; urgency=high

  * Add exec_depend rm_control
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 14 Aug 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.1-1buster) buster; urgency=high

  * Reset all version to 0.1.0
  * Remove exec_depend rm_base of rm_control for ros_controllers CI
  * Remove exec_depend: rm_description, rm_gazebo of rm_control
  * Update package.xml url of rm_control
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 12 Aug 2021 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-rm-control
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rm-common, ros-noetic-rm-dbus, ros-noetic-rm-description, ros-noetic-rm-hw, ros-noetic-rm-msgs
Description: Meta package that contains package of rm_control.

## ros-noetic-rm-control 0.1.18

=== debian/changelog ===
ros-noetic-rm-control (0.1.18-1focal) focal; urgency=high

  * Merge branch 'master' into acceleration
    # Conflicts:
    #     rm_common/include/rm_common/decision/command_sender.h
  * Merge pull request #104 <https://github.com/ye-luo-xi-tui/rm_control/issues/104> from ye-luo-xi-tui/master
    0.1.17
  * Contributors: ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-control (0.1.17-1focal) focal; urgency=high

  * Merge branch 'rm-controls:master' into master
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Contributors: ye-luo-xi-tui, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-control (0.1.16-1focal) focal; urgency=high

  * Merge branch 'dev'
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'master' into rm_referee_pr
  * Merge pull request #74 <https://github.com/ye-luo-xi-tui/rm_control/issues/74> from ye-luo-xi-tui/dev
    Update 0.1.15
  * Merge branch 'master' into referee
    # Conflicts:
    #     rm_common/include/rm_common/decision/service_caller.h
    #     rm_msgs/CMakeLists.txt
    #     rm_msgs/msg/referee/GameRobotStatus.msg
    #     rm_msgs/msg/referee/GameStatus.msg
  * Merge branch 'master' into referee1
  * Contributors: ye-luo-xi-tui, yezi, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.15-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 02 Sep 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.14-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.13-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 12 Jun 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.12-1focal) focal; urgency=high

  * Merge pull request #59 <https://github.com/ye-luo-xi-tui/rm_control/issues/59> from ye-luo-xi-tui/master
    0.1.11
  * Contributors: QiayuanLiao

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 11 Jun 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.11-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: QiayuanLiao, YuuinIH, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.10-1focal) focal; urgency=high

  * Merge pull request #45 <https://github.com/rm-controls/rm_control/issues/45> from ye-luo-xi-tui/master
    Add rm_dbus to metapackage's package.xml
  * Add rm_dbus to metapackage's package.xml.
  * Contributors: QiayuanLiao, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 22 May 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.9-1focal) focal; urgency=high

  * Separate rm_description out of rm_control
  * Revert "Update package.xml"
    This reverts commit a46a8b40dffc0c5fa61981d9ca862a7f1da7e559.
  * Update package.xml
  * Merge remote-tracking branch 'origin/master'
  * Contributors: Jie j, YuuinIH

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-control (0.1.8-1focal) focal; urgency=high

  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update CHANGELOG
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 07 Dec 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.7-1focal) focal; urgency=high

  * 0.1.6
  * Update CHANGELOG
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.6-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.5-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.4-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.3-1focal) focal; urgency=high

  * Merge branch 'master' into master
  * Rename rm_base to rm_hw
  * Contributors: QiayuanLiao, qiayuan
  * Merge branch 'master' into master
  * Rename rm_base to rm_hw
  * Contributors: QiayuanLiao, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Wed, 01 Sep 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.2-1focal) focal; urgency=high

  * Add exec_depend rm_control
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 14 Aug 2021 00:00:00 -0000

ros-noetic-rm-control (0.1.1-1focal) focal; urgency=high

  * Reset all version to 0.1.0
  * Remove exec_depend rm_base of rm_control for ros_controllers CI
  * Remove exec_depend: rm_description, rm_gazebo of rm_control
  * Update package.xml url of rm_control
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 12 Aug 2021 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rm-control//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
